
var deviceId = ''

if (typeof jsHandler != 'undefined') {
    try {
        deviceId = jsHandler.getDeviceId();
    }
    catch(err) {

    }
   
}

// if (!deviceId) {
    initJob()
    $('#job-app').show()
// }

function initJob() {
    new Vue({
        el: '#job-app',
        data: {
            hotJobList: [],
            highSalaryJob: [],
            currentIndex: 0
        },
        created: function() {
            this.getHotJob()
            this.getHighSalaryJob()

            if (deviceId) {
                $('body').on('click', '#job-app a', function(e) {
                    e.preventDefault()

                    var url = $(this).attr('href')
                    var matched = url.match(/\/([\d]+)/) || []
                    var id = matched[1] || ''
                    
                    jsHandler.toJobDetail(id)
                })
            }
        },
        mounted: function() {
            if (deviceId && !jsHandler.toMainTab) {
                $('#job-app .more-job').hide()
            }
        },
        methods: {
            toHome: function() {
                if (deviceId) {
                    if (typeof jsHandler.toMainTabRecruitment !== 'undefined') {
                        jsHandler.toMainTabRecruitment()
                    } else {
                        jsHandler.toMainTab(4)
                    }
                } else {
                    window.location.href = 'https://m.jjrw.com'
                }
            },
            generateJobUrl: function(item) {
                return 'https://m.jjrw.com/#/my/jobDetail/' + item.id + '?source=' + (item.source || '')
            },
            getHotJob: function() {
                var self = this
                $.ajax({
                    type: 'get',
                    url: 'https://api.jjrw.com/mobileapi//index/hotJobs?index=1',
                    dataType: 'json',
                    success: function(res) {
                        if (res.code === '000000') {
                            self.hotJobList = res.list.slice(0, 4)
                        }
                    }
                })
            },
            getHighSalaryJob: function() {
                var self = this
                $.ajax({
                    type: 'get',
                    url: 'https://api.jjrw.com/mobileapi//index/highSalaryJobs?index=1',
                    dataType: 'json',
                    success: function(res) {
                        if (res.code === '000000') {
                            self.highSalaryJob = res.list.slice(0, 4)
                        }
                    }
                })
            }
        },
        computed: {
            currentJobList: function() {
                return this.currentIndex === 0 ? this.hotJobList : this.highSalaryJob
            }
        }
    })
}