// 关联的新闻
$('#relation-new').length > 0 && new Vue({
    el: '#relation-new',
    data: {
        visible: false,
        newList: []
    },
    mounted: function() {
        this.getRelevanceNews()
    },
    methods: {
        newClick: function(item) {
            var media = item.media || {
                duration: '',
                playId: '',
                size: '',
                title: '',
                type: ''
            }
            
            if (typeof jsHandler !== 'undefined' && jsHandler.openNativePage) {
                jsHandler.openNativePage(+item.contentType, +item.contentSubType, item.id, '', media.playId, +media.type, media.duration, media.size)
            } else {
                window.location.href = 'https://www.77du.net/news/' + item.id + '.html'
            }
        },
        getRelevanceNews: function() {
            var self = this
            $.ajax({
                type: 'get',
                url: 'https://api.77du.net/mobileapi/news/relevance',
                data: {
                    subjectId: $('#relation-new').attr('data-newid')
                },
                dataType: 'json',
                success: function(res) {
                    if (res.code === '000000') {
                        if (!res.list || res.list.length === 0) {
                            return
                        }

                        $('.j-relation-greybg').show()
                        self.newList = res.list
                        self.visible = true
                        self.$nextTick(function() {
                            initRelationNewSwiper()
                        })
                    }
                }
            })
        },
        formatTime: function(timestamp) {
            var diff = (Date.now() - timestamp) / 1000
            if (diff < 60) {
                return '刚刚'
            } else if (diff < 3600) {
                return ~~(diff / 60) + '分钟前'
            } else if (diff < 3600 * 24) {
                return ~~(diff / 3600) + '小时前'
            }

            var date = new Date()
            date.setTime(timestamp)
            var year = date.getFullYear()
            var month = date.getMonth() + 1
            var day = date.getDate()

            return year + '-' + month + '-' + day
        }
    }
})

function initRelationNewSwiper() {
    var swiper = new Swiper('#relation-new .swiper-container', {
        slidesPerView: 1.3,
        spaceBetween: 8,
        freeMode: true
    })

    return swiper
}